Package org.eclipse.mat.ui.snapshot.views.inspector

# Class InspectorView.InfoItem

java.lang.Object
org.eclipse.mat.ui.snapshot.views.inspector.InspectorView.InfoItem

Enclosing class:
  InspectorView

public static class InspectorView.InfoItem extends Object

## Constructor Summary

Constructors
Constructor
Description
`InfoItem(ImageDescriptor descriptor, String text)`
`InfoItem(IObject object, ImageDescriptor descriptor, String text)`

## Method Summary

Modifier and Type
Method
Description
`ImageDescriptor`
`getDescriptor()`
`String`
`getText()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InfoItem

public InfoItem(ImageDescriptor descriptor, String text)

### InfoItem

public InfoItem(IObject object, ImageDescriptor descriptor, String text)

## Method Details

### getDescriptor

public ImageDescriptor getDescriptor()

### getText

public String getText()